<?php

class ControllerUser
{
    private $mdQuestion;
    private $mdChapter;
    private $mdAnswer;
    private $mdPlayer;
    private $mdLobby;
    private $mdAdministrator;    

    private $twig;
    private $vues;

    function __construct()
    {
        global $vues, $twig;
        session_start();
        try {

            $this->twig =$twig;
            $this->vues = $vues;

            $this->mdQuestion = new ModelQuestion();
            $this->mdAnswer = new ModelAnswer();
            $this->mdChapter = new ModelChapter();
            $this->mdPlayer = new ModelPlayer();
            $this->mdLobby = new ModelLobby();
            $this->mdAdministrator = new ModelAdministrator();

        } catch (PDOException $e) {
            // $dataVueEreur[] = "Erreur inattendue!!! ";
            // require(__DIR__.'/../vues/erreur.php');
        } catch (Exception $e2) {
            // $dataVueEreur[] = "Erreur inattendue!!! ";
            // require ($rep.$vues['erreur']);
        }
    }

    function home()
    {
        var_dump('tot');
        echo $this->twig->render($this->vues["home"]);
    }

    function singleplayer()
    {
        echo $this->twig->render($this->vues["singleplayer"]);
    }

    function multiplayer()
    {
        echo $this->twig->render($this->vues["multiplayer"]);
    }

    function login()
    {
        echo $this->twig->render($this->vues["loginAdmin"], [
            'error' => $_SESSION["error"],
        ]);

        $_SESSION["error"]="";    
    }

    function verifyAdmin(){
        $username = $_POST['username'];
        $password = $_POST['password'];

        $Administrator = [
            'username' => $username,
            'password' => $password,
        ];
        
        $AdministratorIsOk = $this->mdAdministrator->verifyAdministrator($Administrator);
        var_dump($AdministratorIsOk);
        if($AdministratorIsOk != null) {
            $_SESSION["idAdminConnected"]=$AdministratorIsOk;
            header("Location:/admin/administrators");
        } 
        else {
            $_SESSION["error"]="utilisateur introuvable.";
            header("Location:/login");
        }
    }
}
